(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4931,        166]
NotebookOptionsPosition[      4461,        147]
NotebookOutlinePosition[      4800,        162]
CellTagsIndexPosition[      4757,        159]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Two", " ", "simple", " ", "examples", " ", "of", " ", "usage", " ", "of", 
   " ", 
   RowBox[{"simplifySum", "."}]}], "                         ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.554504472274049*^9, 3.554504665450218*^9}, 
   3.554504724727331*^9, 3.5545047654630527`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"An", " ", "example", " ", "of", " ", "default", " ", 
   RowBox[{"options", "."}]}], "                           ", "*)"}]], "Input",\

 CellChangeTimes->{{3.55450469884156*^9, 3.5545047200795383`*^9}}],

Cell[BoxData[
 RowBox[{"res", " ", "=", " ", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"2", " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"x", "/", "2"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"Pi", "/", "6"}], ",", 
      RowBox[{"Pi", "/", "3"}]}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"simplifySum", "[", "res", "]"}]], "Input"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.554504774273198*^9, 3.554504775269164*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"An", " ", "example", " ", "of", " ", "using", " ", "specific", " ", 
   RowBox[{"options", "."}]}], "                                ", 
  "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{"C1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "12"}], ")"}], "*", 
    RowBox[{"Pi", "^", "2"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "I"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "12"}], ")"}], "*", 
    RowBox[{"Pi", "^", "2"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "I"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "12"}], ")"}], "*", 
    RowBox[{"Pi", "^", "2"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"1", "/", "3"}], "-", 
      RowBox[{"I", "/", "3"}]}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "12"}], ")"}], "*", 
    RowBox[{"Pi", "^", "2"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"1", "/", "3"}], "+", 
      RowBox[{"I", "/", "3"}]}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "8"}], ")"}], "*", "I", "*", "Pi", "*", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
       RowBox[{"2", "/", "3"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "I"}], ")"}], "/", "3"}]}], "]"}], "^", "2"}]}], 
   "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "8"}], ")"}], "*", "I", "*", "Pi", "*", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
       RowBox[{"2", "/", "3"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", "I"}], ")"}], "/", "3"}]}], "]"}], "^", 
     "2"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{"digits", "=", "350"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"evalNumerically", "=", "True"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"evalSymbolically", "=", "False"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"checkNumericalReals", "=", "True"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"checkSumOfComplex", "=", "True"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"runPslq", "=", "True"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"categoryNames", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<PolyLog[2,\>\"", ",", "\"\<PolyLog[3,\>\""}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"simplifyWithRules", "=", "False"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"simplifySum", "[", 
  RowBox[{
  "C1", ",", "digits", ",", "evalNumerically", ",", "evalSymbolically", ",", 
   "checkNumericalReals", ",", "checkSumOfComplex", ",", "runPslq", ",", 
   "categoryNames", ",", "simplifyWithRules", ",", "False"}], "]"}]}], "Input",\

 CellChangeTimes->{{3.554504421411306*^9, 3.5545044500897617`*^9}, {
  3.554504604980144*^9, 3.554504615820739*^9}}]
},
WindowSize->{1042, 653},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 333, 8, 27, "Input"],
Cell[881, 30, 248, 5, 27, "Input"],
Cell[1132, 37, 358, 11, 27, "Input"],
Cell[1493, 50, 66, 1, 27, "Input"],
Cell[1562, 53, 92, 1, 27, "Input"],
Cell[1657, 56, 202, 4, 27, "Input"],
Cell[1862, 62, 2595, 83, 208, "Input"]
}
]
*)

(* End of internal cache information *)
